Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885379 - configuration error - unknown item 'LOGIN_PLAIN_PROMPT' (notify administrator)
Summary: configuration error - unknown item 'LOGIN_PLAIN_PROMPT' (notify administrator)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: shadow-utils
Version: 7.9
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Iker Pedrosa
QA Contact: sssd-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-05 18:43 UTC by Paulo Andrade
Modified: 2020-10-15 10:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-15 10:32:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Paulo Andrade 2020-10-05 18:43:52 UTC
Recently reported some issues involving /etc/login.defs util-linux, pam
and shadow-utils. See bz#1884702 and bz#1884695

While doing an unrelated test on the test environment of the above issue,
I just noticed the @summary message when adding a test user with 'useradd',
and using LOGIN_PLAIN_PROMPT in /etc/login.defs.

Feel free to reassign to shadow-utils if that is the case.

Comment 2 Karel Zak 2020-10-08 10:41:15 UTC
This is necessary to fix in shadow-util. It seems RHEL-8 has already a patch for this issue.

Note that we're trying to fix it also in upstream level and there is a shadow-utils pull-request to add all missing options. 
For more details see: https://github.com/shadow-maint/shadow/issues/276

Comment 3 Iker Pedrosa 2020-10-08 11:26:41 UTC
Is this an actual error message or just a warning? I mean, where you able to add the user?

Comment 4 Paulo Andrade 2020-10-08 12:12:19 UTC
It is just a warning message. User can be added normally.

Comment 5 Iker Pedrosa 2020-10-15 10:32:36 UTC
Since this is a cosmetic issue for RHEL7 and it has already been fixed in RHEL8 I'm closing it as won't fix.


Note You need to log in before you can comment on or make changes to this bug.